## Class IDS_Caching

Description

Caching factory

This class is used as a factory to load the correct concrete caching implementation.

- author: Lars Strojny <lars@strojny.net>
- author: Christian Matthies <ch0012@gmail.com>
- author: Mario Heiderich <mario.heiderich@gmail.com>
- version: Release: $Id:Factory.php 517 2007-09-15 15:04:13Z mario $
- copyright: 2007 The PHPIDS Group
- link: http://php-ids.org/
- since: Version 0.4
- license: LGPL

Located in /Caching/Factory.php (line 51)

Method Summary
static object the factory (array $init, string $type)
Methods
static method factory (line 62)

Factory method

- return: caching facility
- access: public

static object the factory (array $init, string $type)

- array $init: the IDS_Init object
- string $type: the caching type

Documentation generated on Mon, 22 Dec 2008 13:36:44 +0100 by phpDocumentor 1.4.2